Class UmlBaseExitPointPseudoState

Declaration :

- C++ : class UmlBaseExitPointPseudoState : public UmlPseudoState
- Java : abstract class UmlBaseExitPointPseudoState extends UmlPseudoState

Directly inherited by : UmlExitPointPseudoState

Artifact : UmlBaseExitPointPseudoState

Operation create

Declaration :

- C++ : public: static UmlExitPointPseudoState * create(UmlItem * parent, const char * s)
- Java : public static UmlExitPointPseudoState create(UmlItem parent, String s) throws RuntimeException

returns a new exit point pseudo state named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseExitPointPseudoState

Declaration :

- C++ : protected: UmlBaseExitPointPseudoState(void * id, const QCString & s) : UmlPseudoState(id, s)
- Java : protected UmlBaseExitPointPseudoState(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload